unit UFrmLocatecli;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Wwdbigrd, Grids, Wwdbgrid, RXCtrls, Buttons, ExtCtrls;

type
  TFrmLocatecli = class(TForm)
    GroupBox1: TGroupBox;
    SpeedButton1: TSpeedButton;
    RxLabel1: TRxLabel;
    wwDBGrid1: TwwDBGrid;
    wwDBGrid1IButton: TwwIButton;
    Edit1: TEdit;
    RadioButton1: TRadioButton;
    Bevel1: TBevel;
    procedure Edit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure SpeedButton1Click(Sender: TObject);
    procedure wwDBGrid1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RadioButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmLocatecli: TFrmLocatecli;

implementation
uses Modulo, UFrmGerenciamento;

{$R *.DFM}

procedure TFrmLocatecli.Edit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
  var
    vBusca : String;
begin
  Case key of
    VK_Return:
    Begin
       if (Edit1.text = '') then
       begin
          ShowMessage('Digite um nome para pesquisar!');
          Edit1.SetFocus;
          exit;
       end;
       if (Edit1.text <> '') then
       begin
          vBusca:='';
          DMEscola.QClientes.Close;
          DMEscola.QClientes.SQL.Clear;
          DMEscola.QClientes.Sql.Add ('Select * From Clientes');
          DMEscola.QClientes.Sql.Add('WHERE ');
          DMEscola.QClientes.Sql.Add('(Nome like :pNOME) or');
          DMEscola.QClientes.Sql.Add('(NickName like :pNICK)');
          DMEscola.QClientes.ParamByName('pNOME').AsString:='%'+Edit1.text+'%';
          DMEscola.QClientes.ParamByName('pNICK').AsString:='%'+Edit1.text+'%';
          DMEscola.QClientes.open;
          vBusca:=DMEscola.QClientesNome.Value;
          If vBusca <> '' then
          begin
             wwDBGrid1.visible:=True;
             wwDBGrid1.setfocus;
          end
          else
          begin
             ShowMessage('Cliente não encontrado efetue a pesquisa novamente '+#13+'ou clique para acesso avulso');
             Edit1.Text := '';
             Edit1.SetFocus;
          end;
       end;
    end;
  end;
end;
procedure TFrmLocatecli.SpeedButton1Click(Sender: TObject);
var
   vBusca : String;
begin
   if (Edit1.text = '') then
   begin
      ShowMessage('Digite um nome para pesquisar!');
      Edit1.SetFocus;
      exit;
   end;
   if (Edit1.text <> '') then
   begin
      vBusca:='';
      DMEscola.QClientes.Close;
      DMEscola.QClientes.SQL.Clear;
      DMEscola.QClientes.Sql.Add ('Select * From Clientes');
      DMEscola.QClientes.Sql.Add('WHERE ');
      DMEscola.QClientes.Sql.Add('(Nome like :pNOME) or');
      DMEscola.QClientes.Sql.Add('(NickName like :pNICK)');
      DMEscola.QClientes.ParamByName('pNOME').AsString:='%'+Edit1.text+'%';
      DMEscola.QClientes.ParamByName('pNICK').AsString:='%'+Edit1.text+'%';
      DMEscola.QClientes.open;
      vBusca:=DMEscola.QClientesNome.Value;
      If vBusca <> '' then
      begin
         wwDBGrid1.visible:=True;
         wwDBGrid1.setfocus;
      end
      else
      begin
         ShowMessage('Cliente não encontrado efetue a pesquisa novamente '+#13+'ou clique para acesso avulso');
         Edit1.Text := '';
         Edit1.SetFocus;
      end;
   end;
end;


procedure TFrmLocatecli.wwDBGrid1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 Case Key of
   VK_Return:
    Begin
       if chamarcliente = 'RxSwitch1' then
       begin
          FrmGerenciamento.lblusuario1.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod1.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome1.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo1.caption := DMEscola.QClientesgrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch2' then
       begin
          FrmGerenciamento.lblusuario2.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod2.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome2.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo2.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch3' then
       begin
          FrmGerenciamento.lblusuario3.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod3.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome3.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo3.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch4' then
       begin
          FrmGerenciamento.lblusuario4.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod4.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome4.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo4.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch5' then
       begin
          FrmGerenciamento.lblusuario5.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod5.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome5.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo5.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch6' then
       begin
          FrmGerenciamento.lblusuario6.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod6.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome6.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo6.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch7' then
       begin
          FrmGerenciamento.lblusuario7.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod7.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome7.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo7.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch8' then
       begin
          FrmGerenciamento.lblusuario8.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod8.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome8.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo8.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch9' then
       begin
          FrmGerenciamento.lblusuario9.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod9.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome9.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo9.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch10' then
       begin
          FrmGerenciamento.lblusuario10.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod10.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome10.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo10.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch11' then
       begin
          FrmGerenciamento.lblusuario11.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod11.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome11.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo11.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch12' then
       begin
          FrmGerenciamento.lblusuario12.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod12.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome12.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo12.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch13' then
       begin
          FrmGerenciamento.lblusuario13.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod13.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome13.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo13.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch14' then
       begin
          FrmGerenciamento.lblusuario14.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod14.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome14.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo14.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch15' then
       begin
          FrmGerenciamento.lblusuario15.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod15.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome15.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo15.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch16' then
       begin
          FrmGerenciamento.lblusuario16.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod16.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome16.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo16.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch17' then
       begin
          FrmGerenciamento.lblusuario17.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod17.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome17.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo17.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch18' then
       begin
          FrmGerenciamento.lblusuario18.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod18.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome18.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo18.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch19' then
       begin
          FrmGerenciamento.lblusuario19.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod19.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome19.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo19.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch20' then
       begin
          FrmGerenciamento.lblusuario20.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod20.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome20.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo20.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch21' then
       begin
          FrmGerenciamento.lblusuario21.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod21.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome21.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo21.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch22' then
       begin
          FrmGerenciamento.lblusuario22.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod22.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome22.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo22.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch23' then
       begin
          FrmGerenciamento.lblusuario23.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod23.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome23.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo23.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       if chamarcliente = 'RxSwitch24' then
       begin
          FrmGerenciamento.lblusuario24.caption := DMEscola.QClientesNickName.Value;
          FrmGerenciamento.lblcod24.caption := DMEscola.QClientesCodigo.AsString;
          FrmGerenciamento.lblnome24.caption := DMEscola.QclientesNome.Value;
          FrmGerenciamento.lblgrupo24.caption := DMEscola.QClientesGrupo.AsString;
          chamarcliente := '';
       end;
       FrmLocatecli.Close;
    end;
    VK_Escape:
    begin
       wwDBGrid1.visible := false;
       Edit1.Text := '';
       Edit1.SetFocus;
    end;
 end;
end;

procedure TFrmLocatecli.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   Action := CaFree;
end;

procedure TFrmLocatecli.RadioButton1Click(Sender: TObject);
begin
   if chamarcliente = 'RxSwitch1' then
   begin
      FrmGerenciamento.lblusuario1.caption := 'Avulso';
      FrmGerenciamento.lblcod1.caption := '0';
      FrmGerenciamento.lblgrupo1.caption := '';
      FrmGerenciamento.lblnome1.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch2' then
   begin
      FrmGerenciamento.lblusuario2.caption := 'Avulso';
      FrmGerenciamento.lblcod2.caption := '0';
      FrmGerenciamento.lblgrupo2.caption := '';
      FrmGerenciamento.lblnome2.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch3' then
   begin
      FrmGerenciamento.lblusuario3.caption := 'Avulso';
      FrmGerenciamento.lblcod3.caption := '0';
      FrmGerenciamento.lblgrupo3.caption := '';
      FrmGerenciamento.lblnome3.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch4' then
   begin
      FrmGerenciamento.lblusuario4.caption := 'Avulso';
      FrmGerenciamento.lblcod4.caption := '0';
      FrmGerenciamento.lblgrupo4.caption := '';
      FrmGerenciamento.lblnome4.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch5' then
   begin
      FrmGerenciamento.lblusuario5.caption := 'Avulso';
      FrmGerenciamento.lblcod5.caption := '0';
      FrmGerenciamento.lblgrupo5.caption := '';
      FrmGerenciamento.lblnome5.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch6' then
   begin
      FrmGerenciamento.lblusuario6.caption := 'Avulso';
      FrmGerenciamento.lblcod6.caption := '0';
      FrmGerenciamento.lblgrupo6.caption := '';
      FrmGerenciamento.lblnome6.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch7' then
   begin
      FrmGerenciamento.lblusuario7.caption := 'Avulso';
      FrmGerenciamento.lblcod7.caption := '0';
      FrmGerenciamento.lblgrupo7.caption := '';
      FrmGerenciamento.lblnome7.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch8' then
   begin
      FrmGerenciamento.lblusuario8.caption := 'Avulso';
      FrmGerenciamento.lblcod8.caption := '0';
      FrmGerenciamento.lblgrupo8.caption := '';
      FrmGerenciamento.lblnome8.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch9' then
   begin
      FrmGerenciamento.lblusuario9.caption := 'Avulso';
      FrmGerenciamento.lblcod9.caption := '0';
      FrmGerenciamento.lblgrupo9.caption := '';
      FrmGerenciamento.lblnome9.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch10' then
   begin
      FrmGerenciamento.lblusuario10.caption := 'Avulso';
      FrmGerenciamento.lblcod10.caption := '0';
      FrmGerenciamento.lblgrupo10.caption := '';
      FrmGerenciamento.lblnome10.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch11' then
   begin
      FrmGerenciamento.lblusuario11.caption := 'Avulso';
      FrmGerenciamento.lblcod11.caption := '0';
      FrmGerenciamento.lblgrupo11.caption := '';
      FrmGerenciamento.lblnome11.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch12' then
   begin
      FrmGerenciamento.lblusuario12.caption := 'Avulso';
      FrmGerenciamento.lblcod12.caption := '0';
      FrmGerenciamento.lblgrupo12.caption := '';
      FrmGerenciamento.lblnome12.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch13' then
   begin
      FrmGerenciamento.lblusuario13.caption := 'Avulso';
      FrmGerenciamento.lblcod13.caption := '0';
      FrmGerenciamento.lblgrupo13.caption := '';
      FrmGerenciamento.lblnome13.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch14' then
   begin
      FrmGerenciamento.lblusuario14.caption := 'Avulso';
      FrmGerenciamento.lblcod14.caption := '0';
      FrmGerenciamento.lblgrupo14.caption := '';
      FrmGerenciamento.lblnome14.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch14' then
   begin
      FrmGerenciamento.lblusuario14.caption := 'Avulso';
      FrmGerenciamento.lblcod14.caption := '0';
      FrmGerenciamento.lblgrupo14.caption := '';
      FrmGerenciamento.lblnome14.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch15' then
   begin
      FrmGerenciamento.lblusuario15.caption := 'Avulso';
      FrmGerenciamento.lblcod15.caption := '0';
      FrmGerenciamento.lblgrupo15.caption := '';
      FrmGerenciamento.lblnome15.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch16' then
   begin
      FrmGerenciamento.lblusuario16.caption := 'Avulso';
      FrmGerenciamento.lblcod16.caption := '0';
      FrmGerenciamento.lblgrupo16.caption := '';
      FrmGerenciamento.lblnome16.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch17' then
   begin
      FrmGerenciamento.lblusuario17.caption := 'Avulso';
      FrmGerenciamento.lblcod17.caption := '0';
      FrmGerenciamento.lblgrupo17.caption := '';
      FrmGerenciamento.lblnome17.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch18' then
   begin
      FrmGerenciamento.lblusuario18.caption := 'Avulso';
      FrmGerenciamento.lblcod18.caption := '0';
      FrmGerenciamento.lblgrupo18.caption := '';
      FrmGerenciamento.lblnome18.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch19' then
   begin
      FrmGerenciamento.lblusuario19.caption := 'Avulso';
      FrmGerenciamento.lblcod19.caption := '0';
      FrmGerenciamento.lblgrupo19.caption := '';
      FrmGerenciamento.lblnome19.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch20' then
   begin
      FrmGerenciamento.lblusuario20.caption := 'Avulso';
      FrmGerenciamento.lblcod20.caption := '0';
      FrmGerenciamento.lblgrupo20.caption := '';
      FrmGerenciamento.lblnome20.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch21' then
   begin
      FrmGerenciamento.lblusuario21.caption := 'Avulso';
      FrmGerenciamento.lblcod21.caption := '0';
      FrmGerenciamento.lblgrupo21.caption := '';
      FrmGerenciamento.lblnome21.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch22' then
   begin
      FrmGerenciamento.lblusuario22.caption := 'Avulso';
      FrmGerenciamento.lblcod22.caption := '0';
      FrmGerenciamento.lblgrupo22.caption := '';
      FrmGerenciamento.lblnome22.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch23' then
   begin
      FrmGerenciamento.lblusuario23.caption := 'Avulso';
      FrmGerenciamento.lblcod23.caption := '0';
      FrmGerenciamento.lblgrupo23.caption := '';
      FrmGerenciamento.lblnome23.caption := 'Avulso';
      chamarcliente := '';
   end;
   if chamarcliente = 'RxSwitch24' then
   begin
      FrmGerenciamento.lblusuario24.caption := 'Avulso';
      FrmGerenciamento.lblcod24.caption := '0';
      FrmGerenciamento.lblgrupo24.caption := '';
      FrmGerenciamento.lblnome24.caption := 'Avulso';
      chamarcliente := '';
   end;
   FrmLocatecli.Close;

end;

end.
